Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Wed, 06 Jan 2021 20:21:03 +0000

Justin Schell <[email-masked]> writes:

> Sorry for emailing this list directly, but with emacs build from the latest commit on `feature/native-comp`, `M-x
> report-emacs-bug` results in the error "apply: Wrong type argument: stringp, nil". Enabling `debug-on-error` doesn't
> result in a debug session starting when executing that command, so I'm not sure how to provide any more context for the
> location that's throwing the error.

Hi Justin,

thanks for reporting, I swear this is not a trick to cheat on the bug-rate ;)

> GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.6 (Build 19G2021))
>  of 2021-01-06
>
> This version of emacs was built using https://github.com/jimeh/build-emacs-for-macos from the latest commit on
> `feature/native-comp` (33b8ce865fcfd58538ae2d7c3fff04998fcd3330).

That's strange, I just tried a M-x report-emacs-bug on the same commit
on a emacs -Q session and it just works for me.

I'm Ccing Jim so maybe he can try to reproduce on apple-darwin.

> The `build-emacs-for-macos` package also applies the fixes from
> `feature/native-comp-macos-fixes`.

That's odd AFAIK these are not necessary (and if they are we should
probably merge them).

Thanks

  Andrea